Bug 459170 - gpk-application is confused by debuginfo packages
gpk-application is confused by debuginfo packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:52 EDT by James Antill
Modified: 2008-10-14 08:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 08:58:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-08-14 15:52:51 EDT
Description of problem:
 Install "diffstat" (via. yum install diffstat)
 Enable fedora-debuginfo repo.
 search for diffstat, you should now see:

[ ] diffstat-debuginfo
    diffstat

 click "programming"
 scroll to diffstat, and you'll see it's "installed" (and there's only one entry)
 turn on filters => installed => only available
 scroll to diffstat, now you have one "available" entry.

 I can only assume this is actually the debuginfo one, although trying to install it fails.

Version-Release number of selected component (if applicable):
gnome-packagekit.x86_64                  0.2.3-9.fc9            installed
Comment 1 James Antill 2008-08-14 15:56:44 EDT
 Even better is that if you then turn the filter off then "diffstat" no longer has a check box ... but gpk-application thinks it's queued to install, so it'll stop any other installs but can't be turned off again (unless you know to go back to the filtered view :).
Comment 2 Richard Hughes 2008-08-15 05:10:21 EDT
I -think- this is fixed in 0.3.0 -- the INSTALLED filter was fixed to check all packages rather than just shortcut by not searching the rpm pkgs when we are searching for available packages. I'm not sure if I can backport this just yet as I'm waiting for the yum pkgSack.searchNames many packages fix (too many SQL variables) to be pushed into F9.

Note You need to log in before you can comment on or make changes to this bug.